#
# spec file for package ax25apps (Version 0.0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ax25apps
Copyright:    1999, Craig Small
Group:        Applications/Hamradio
Provides:     ax25apps 
Autoreqprov:  on
Version:      0.0.5
Release:      77
Summary:      Applications for kernel AX.25
Source:  ax25-apps-0.0.5.tar.gz
Patch:   ax25-apps-0.0.5.diff

%description
This package contains the applications which were found in the former
AX.25 Utilities: ax25ipd, ax25rtctl, ax25rtd, call, listen.

Authors:
--------
    Craig Small <csmall@small.dropbear.id.au>

SuSE series: ham

%prep
%setup -n ax25-apps-0.0.5
%patch -p0

%build
%{?suse_update_config:%{suse_update_config -f}}
yes | CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --exec-prefix=/usr  --bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/libexec --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib --includedir=/usr/include --infodir=/usr/info --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
DOCDIR=/usr/share/doc/packages/ax25apps
DOC="AUTHORS COPYING ChangeLog INSTALL NEWS README ax25ipd/COPYING.ax25ipd ax25ipd/HISTORY.ax25ipd ax25rtd/README.ax25rtd ax25rtd/TODO.ax25rtd"
make install
make installconf
mkdir -p /var/ax25/ax25rtd
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}

%files
%dir /etc/ax25
%dir /usr/share/doc/packages/ax25apps
%dir /var/ax25/ax25rtd
%config /etc/ax25/ax25ipd.conf
%config /etc/ax25/ax25rtd.conf
%config /etc/ax25/ax25mond.conf
/usr/bin/call
/usr/bin/listen
/usr/share/doc/packages/ax25apps/AUTHORS
/usr/share/doc/packages/ax25apps/COPYING
/usr/share/doc/packages/ax25apps/COPYING.ax25ipd
/usr/share/doc/packages/ax25apps/ChangeLog
/usr/share/doc/packages/ax25apps/HISTORY.ax25ipd
/usr/share/doc/packages/ax25apps/INSTALL
/usr/share/doc/packages/ax25apps/NEWS
/usr/share/doc/packages/ax25apps/README
/usr/share/doc/packages/ax25apps/README.ax25rtd
/usr/share/doc/packages/ax25apps/TODO.ax25rtd
%doc %{_mandir}/man1/call.1.gz
%doc %{_mandir}/man1/listen.1.gz
%doc %{_mandir}/man5/ax25mond.conf.5.gz
%doc %{_mandir}/man5/ax25ipd.conf.5.gz
%doc %{_mandir}/man8/ax25ipd.8.gz
%doc %{_mandir}/man8/ax25mond.8.gz
/usr/sbin/ax25ipd
/usr/sbin/ax25rtctl
/usr/sbin/ax25rtd
/usr/sbin/ax25mond

%changelog -n ax25apps
* Thu Apr 19 2001 - jreuter@suse.de
- new version: 0.0.5
- builds on AXP and PPC again
* Fri Mar 02 2001 - ro@suse.de
- include time.h
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Sun Jun 18 2000 - ro@suse.de
- added suse_update_config
* Thu May 25 2000 - ka@suse.de
- docs to /usr/share/doc
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Thu Oct 21 1999 - ka@suse.de
- created directory /var/ax25/ax25rtd during install
- fixed double slash in paths: /etc/ax25//*.conf and
  /var/ax25//*
- added missing values to configure call
- added "make installconf" to install section of specfile
* Thu Sep 16 1999 - ka@suse.de
- update to version 0.0.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 - ka@suse.de
- more detailed configure call
* Tue Jul 13 1999 - ka@suse.de
- update to version 0.0.2
- fixed typo in ax25rtd/Makefile.am
- added "--sysconfdir=/etc --localstatedir=/var" to spec file
* Tue Jul 06 1999 - ka@suse.de
- changed spec file to build on alpha AXP
* Wed Jun 23 1999 - ro@suse.de
- added libax25 to neededforbuild
* Fri Jun 11 1999 - ka@suse.de
- initial release of new sources for kernel 2.2.x
- original package ax25util was divided into ax25apps and ax25tool
* Wed May 19 1999 - ro@suse.de
- re-added patch to apps/call.c
* Tue May 18 1999 - ka@suse.de
- added patch for procutils.c
* Tue May 04 1999 - ro@suse.de
- rebuilt diff
- patched to build with glibc-2.1 and on alpha
- rspfd can't work on alpha yet due to inline asm
* Mon Mar 15 1999 - ro@suse.de
- renamed subpackage to ax25dev
* Fri Mar 12 1999 - ka@suse.de
- added sample configuration files to /etc/ax25/
* Thu Mar 11 1999 - ka@suse.de
- initial release
